
# [@vue/compiler-core](https://github.com/vuejs/vue-next)

[![Knightly Build](https://github.com/knightlyjs/knightly/blob/main/res/badge.svg?raw=true)](https://github.com/knightlyjs/knightly) ![2021-06-10T00:28:15.867Z](https://img.shields.io/date/1623284896?color=eee&label=)

[**Unofficial**] Nightly build for [vuejs/vue-next@b228a](https://github.com/vuejs/vue-next/tree/b228abb72fcdb4fc9dced907f3614abcaaacdce5), published automatically by [Knightly](https://github.com/knightlyjs/knightly).

| package (`@vue/compiler-core`) | `@knightly/vue__compiler-core`                                                                                                                  |
| ------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| version (`3.1.1*`)             | `3.1.1-knightly-master.202106100024`                                                                                                            |
| last commit                    | fix(compiler-sfc): rewriteDefault support multiline (#3917)                                                                                     |
| sha (`master`)                 | `b228abb72fcdb4fc9dced907f3614abcaaacdce5`                                                                                                      |
| changes                        | [compare with last release](//github.com/vuejs/vue-next/compare/v3.1.1-knightly-master.202106100024...b228abb72fcdb4fc9dced907f3614abcaaacdce5) |
| build                          | 2021-06-10T00:28:15.867Z                                                                                                                        |

> [More PRs and branches builds](https://www.npmjs.com/package/@knightly/vue__compiler-core?activeTab=versions)

### Usage

To replace the package with nightly build:

via `npm`

```bash
npm i @vue/compiler-core@npm:@knightly/vue__compiler-core@master
```

or edit your `package.json`

```json
"dependencies": {
  "@vue/compiler-core": "npm:@knightly/vue__compiler-core@master"
}
```


## Packages

| Package                | Knightly                                                                                                                              |
| ---------------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| `vue`                  | [`@knightly/vue`](https://www.npmjs.com/package/@knightly/vue/v/3.1.1-knightly-master.202106100024)                                   |
| `@vue/reactivity`      | [`@knightly/vue__reactivity`](https://www.npmjs.com/package/@knightly/vue__reactivity/v/3.1.1-knightly-master.202106100024)           |
| `@vue/shared`          | [`@knightly/vue__shared`](https://www.npmjs.com/package/@knightly/vue__shared/v/3.1.1-knightly-master.202106100024)                   |
| `@vue/compiler-core`   | [`@knightly/vue__compiler-core`](https://www.npmjs.com/package/@knightly/vue__compiler-core/v/3.1.1-knightly-master.202106100024)     |
| `@vue/compiler-dom`    | [`@knightly/vue__compiler-dom`](https://www.npmjs.com/package/@knightly/vue__compiler-dom/v/3.1.1-knightly-master.202106100024)       |
| `@vue/compiler-sfc`    | [`@knightly/vue__compiler-sfc`](https://www.npmjs.com/package/@knightly/vue__compiler-sfc/v/3.1.1-knightly-master.202106100024)       |
| `@vue/compiler-ssr`    | [`@knightly/vue__compiler-ssr`](https://www.npmjs.com/package/@knightly/vue__compiler-ssr/v/3.1.1-knightly-master.202106100024)       |
| `@vue/runtime-dom`     | [`@knightly/vue__runtime-dom`](https://www.npmjs.com/package/@knightly/vue__runtime-dom/v/3.1.1-knightly-master.202106100024)         |
| `@vue/runtime-core`    | [`@knightly/vue__runtime-core`](https://www.npmjs.com/package/@knightly/vue__runtime-core/v/3.1.1-knightly-master.202106100024)       |
| `@vue/server-renderer` | [`@knightly/vue__server-renderer`](https://www.npmjs.com/package/@knightly/vue__server-renderer/v/3.1.1-knightly-master.202106100024) |

<br>
Knightly v0.5.6
